# Visualization
TKService
Aspect

# Aspect_WidthMap Class Reference

This class defines a WidthMap object.
.

`#include <Aspect_WidthMap.hxx>`

## Public Member Functions

Standard_EXPORT | Aspect_WidthMap ()
| Creates a width map. .
Standard_EXPORT void | AddEntry (const Aspect_WidthMapEntry &AnEntry)
| Adds an entry in the Width map <me>. Warning: Raises BadAccess if WidthMap size is exceeded. .
Standard_EXPORT Standard_Integer | AddEntry (const Aspect_WidthOfLine aStyle)
| Search an identical line width entry in the width map <me> and returns the WidthMapEntry Index if exist. Or add a new entry and returns the computed WidthMapEntry index used. .
Standard_EXPORT Standard_Integer | AddEntry (const Quantity_Length aStyle)
| Search an identical line width entry in the width map <me> and returns the WidthMapEntry Index if exist. Or add a new entry and returns the computed WidthMapEntry index used. .
Standard_EXPORT Standard_Integer | Size () const
| Returns the Allocated widthmap Size .
Standard_EXPORT Standard_Integer | Index (const Standard_Integer aWidthmapIndex) const
| Returns the WidthMapEntry.Index of the WidthMap at rank <awidthmapindex> . .
Standard_EXPORT Aspect_WidthMapEntry | Entry (const Standard_Integer AnIndex) const
| Returns the Width map entry with the index <anindex>. Warning: Raises BadAccess if the index less than 1 or greater than Size. .
Standard_EXPORT void | Dump () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

Aspect_SequenceOfWidthMapEntry | mydata

## Constructor & Destructor Documentation

Standard_EXPORT Aspect_WidthMap::Aspect_WidthMap | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer Aspect_WidthMap::AddEntry | ( | const Quantity_Length | aStyle | ) |

Standard_EXPORT Standard_Integer Aspect_WidthMap::AddEntry | ( | const Aspect_WidthOfLine | aStyle | ) |

Standard_EXPORT void Aspect_WidthMap::AddEntry | ( | const Aspect_WidthMapEntry & | AnEntry | ) |

Standard_EXPORT void Aspect_WidthMap::Dump | ( |  | ) | const

Standard_EXPORT Aspect_WidthMapEntry Aspect_WidthMap::Entry | ( | const Standard_Integer | AnIndex | ) | const

Standard_EXPORT const Aspect_WidthMap::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Integer Aspect_WidthMap::Index | ( | const Standard_Integer | aWidthmapIndex | ) | const

Standard_EXPORT Standard_Integer Aspect_WidthMap::Size | ( |  | ) | const

## Field Documentation

Aspect_SequenceOfWidthMapEntry Aspect_WidthMap::mydata `[protected]`

The documentation for this class was generated from the following file:

- Aspect_WidthMap.hxx